<?php

/**
 * Page de gestion importé par la page d'administration centrale permettant la gestion des domaines.
 */

require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/privileges.php");
 
if (testPrivileges()!="administrateur") {
	header("Location: /pages/visiteurs/formulaire_accueil.php?erreur=2");
	die();
}

require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/domaines.php");
$liste_domaines = listeDomainesPostfix($pdo);

?>
<!-- Affichage et changement du domaine par défaut -->
<div>
	<h1>Domaine par défaut</h1>
	<p>Changer le domaine par défaut (actuellement 
	<?php
	
	$domaine_defaut = retourneDomaineDefautPostfix($pdo);
	if (!empty($domaine_defaut)) {
		echo "<b>$domaine_defaut</b>";
	}
	else {
		echo "Attention : aucun domaine n'est défini par défaut. Ce paramètre permet de pré-selectionner le domaine utilisé par Postfix lors des créations d'alias virtuels";
	}
	
	?>
	) :</p>
	<form action="/services/traitements/domaines/changeDomaineDefaut.php" method="post">
		<select name="choix_domaine_defaut">
		<?php

		// Génération de la liste des domaines existants
		try {
			foreach ($liste_domaines as $domaine_cles => $domaine_valeurs) {
				echo "<option value=\"".$domaine_valeurs['domaine']."\">".$domaine_valeurs['domaine']."</option>\n";
			}
		}
		catch (\Exception $e) {
			die ("Erreur de requête de selection du domaine pour \"$base\" : ".$e->getMessage());
		}

		?>
		<!-- Définition du domaine sélectionné comme étant par défaut -->
		<input type="submit" value="Définir par défaut">
	</form>
</div>
<div>
	<h1>Ajouter un domaine</h1>
	<form action="/services/traitements/domaines/ajoutDomaines.php" method="post">
		<input type="text" id="nom_pour_filtre" name="nom_domaine" placeholder="domaine.tld*" onkeyup="filtreValeurs();" required>
		<input type="submit" value="Ajouter">
	</form>
	
	<h1>Domaines du serveur de messagerie</h1>

	<form class="" action="/services/traitements/domaines/editEtatDomaines.php" method="post">
		<ul id="liste_pour_filtre">
		<?php
		
		/**
		 * Liste des domaines.
		 */
		try {
			foreach ($liste_domaines as $liste_domaines_cles => $liste_domaines_valeurs) {
				echo "<li>";
				if (isset($liste_domaines_valeurs['defaut']) && $liste_domaines_valeurs['defaut']!="1") {
					echo "<input type=\"radio\" name=\"".$liste_domaines_valeurs['id']."\" value=\"1\"";
					if (isset($liste_domaines_valeurs['active']) && !empty($liste_domaines_valeurs['active']) && $liste_domaines_valeurs['active']=="1") echo " checked";
					echo "><input type=\"radio\" name=\"".$liste_domaines_valeurs['id']."\" value=\"0\"";
					if (isset($liste_domaines_valeurs['active']) && $liste_domaines_valeurs['active']=="0") echo " checked";
					echo ">";
				}
				echo "<p>".$liste_domaines_valeurs['domaine']."</p>";
				if (isset($liste_domaines_valeurs['defaut']) && $liste_domaines_valeurs['defaut']!="1") {
					echo "<label class=\"input-label-supprimer-valeur\" for=\"supprimer-valeur-".$liste_domaines_valeurs['id']."\">Supprimer</label><input type=\"checkbox\" class=\"input-checkbox-supprimer-valeur visuellement-cache\" id=\"supprimer-valeur-".$liste_domaines_valeurs['id']."\"><a class=\"confirmation-suppression\" href=\"/services/traitements/domaines/supprDomaines.php?supprDomaine=".$liste_domaines_valeurs['id']."\">Confirmer la suppression</a></li>\n";
				}
				else {
					echo "<p>Domaine en lecture seule tant que définit par défaut</p>";
				}
				
			}
		}
		catch (\Exception $e) {
			die ("Erreur de requête de selection utilisateurs pour \"$base\" : ".$e->getMessage());
		}
	
		?>
		</ul>
		<input type="submit" value="Appliquer">
	</form>

	<script src="/fichiers/js/filtre.js"></script>
</div>